GET /names/inside
Operation ID: —
Auth: unknown
Description
Search for information about geographical names that correspond to features within a geographic bounding box. Various options and filter parameters are available to refine the search.
Parameters (11)
(string, query, required)
A geographic bounding box defining the search area. Must be specified as a string of the form 'minLongitude,minLatitude,maxLongitude,maxLatitude' (WGS84). e.g. -119,49,-118,50
(integer, query, optional)
A flag to indicate whether to embed the corresponding 'feature' into each matching name
Constraints: {'enum': [0, 1]}
(string, query, optional, default: *)
A filter to limit the search to names associated with features of a certain 'category' The value of this parameter should be a 'featureCategoryCode' value returned by the /featureCategories resource, or an asterisk (*) to request that all feature categories be included.
(string, query, optional, default: *)
A filter to limit the search to names associated with features of a certain 'class' The value of this parameter should be a 'featureClassCode' value returned by the /featureClasses resource, or an asterisk (*) to request that all feature classes be included.
(string, query, optional, default: *)
A filter to limit the search to names associated with features of a certain 'type' The value of this parameter should be a 'featureTypeCode' value returned by the /featureTypes resource, or an asterisk (*) to request that all feature types be included
(integer, query, optional, default: 20)
The number of search results to return (1-200)
(string, query, required, default: json)
The format of the output.
Constraints: {'enum': ['json', 'xml', 'kml', 'csv']}
(integer, query, optional, default: 4326)
The EPSG code of the spatial reference system (SRS) to use for output geometries.
Constraints: {'enum': [4326, 4269, 3005, 3857, 26907, 26908, 26909, 26910, 26911]}
(string, query, optional, default: summary)
A flag indicating whether to include with each matching name a succinct list of attributes (summary), or a comprehensive list of attributes (detail)
Constraints: {'enum': ['summary', 'detail']}
(string, query, optional, default: name)
The distance to move the accessPoint away from the curb and towards the inside of the parcel (in metres). Ignored if locationDescriptor not set to accessPoint.
Constraints: {'enum': ['name', 'featureType', 'decisionDate']}
(integer, query, optional, default: 1)
The index of the first record to be returned (>= 1)
No probe data for this endpoint yet.